org.red5.server.jmx.mxbeans

## Interface ClientRegistryMXBean

All Known Implementing Classes:
  ClientRegistry

    @MXBean
    public interface ClientRegistryMXBean

An MBean interface for the client registry.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Method Summary

Methods
`Client` `getClient(String id)`
`List<Client>` `getClientList()`
`boolean` `hasClient(String id)`
`String` `nextId()`
`String` `previousId()`

### Method Detail

#### nextId

    String nextId()

#### previousId

    String previousId()

#### hasClient

    boolean hasClient(String id)

#### getClientList

    List<Client> getClientList()

#### getClient

    Client getClient(String id)
                     throws ClientNotFoundException

Throws:
  `ClientNotFoundException`